青华模具培训学校

 找回密码
 注册

QQ登录

只需一步,快速开始

青华模具培训学院
查看: 2315|回复: 3

[疑难] UF_MODL_create_sweep具体如何使用,在别人那里拷了程序,不报错。就是ug会卡死

[复制链接]
发表于 2013-3-14 10:57 | 显示全部楼层 |阅读模式
UF_STRING_t guide;
+ \5 h( I* z$ ~. }6 \   UF_STRING_t section;- F, V& M% g1 W) a4 h  v: P
   UF_STRING_t spine;   //脊线
- Y2 j- J- o5 J; e+ M5 X, g   UF_STRING_t curve;
, r3 L& O; I" w: S* H  K& e   UF_METHOD_t orientation;
9 p: N6 k; \/ V8 v1 ]* E. V0 y   UF_METHOD_t scaling;8 _" x: |9 Q: x) @, O
   
3 p1 d/ ^" _/ C2 k   UF_STRING_p_t s_guide = &guide;
. y/ E0 v# R; y  c  \   UF_STRING_p_t s_section=&section;//截面线
9 t  d" w& m' O$ R' X8 C   UF_STRING_p_t s_spine=&spine;
: o. v6 P& x$ ~2 }; l, b% a. X2 J   UF_STRING_p_t s_curve=&curve;! X8 T/ Y# c% ?" s/ O9 |3 N0 l
   
$ N& Q2 a* |) n' w2 I' [% r' c   UF_MODL_init_string_list(s_guide);
  `* }( {, T" ~( p3 q- W   UF_MODL_create_string_list(1,1,s_guide);
- k3 D3 U8 \5 N   . n4 Y9 l# D" X" I+ x3 Y6 V
   UF_MODL_init_string_list(s_section);" O8 p  B* B% Q6 ~4 G3 S# i
   UF_MODL_create_string_list(1,1,s_section);* B; }) y# n) G$ ?
   
1 G5 ^/ W* d! ~8 x0 `- [   UF_MODL_init_string_list(s_spine);
/ [+ i; o+ y% F! T$ a) J2 Z   UF_MODL_create_string_list(2,2,s_spine);
1 ]& ]0 Q+ k; v6 E3 Z2 U   . Y, \: q1 ~" Q, J
   UF_MODL_init_string_list(s_curve);8 y# Q& k! a- y
   UF_MODL_create_string_list(1,1,s_spine);9 R4 O2 L' o% \5 N" k9 g: l
   ) F* I& C+ C. R; S
   int alignment=1;      //对齐方式--参数
; j) ^5 `0 K7 X; ?, T0 p9 a3 b   int body_type=0;      //扫描成片体# |# k, |" P* t4 `
   int inter;
3 q* `. ^3 _$ L  C% Y3 E9 s0 l   UF_FEATURE_SIGN boolean=UF_NULLSIGN;//布尔运算2 e9 A' l, C( S' }! B1 {% h
   double tol[3]={0.01,0.01,0.01};   //公差3 a. S  l7 Y. A1 ~  a
   tag_t  body_obj_id;/ }1 k& G6 _" T$ {, U8 m
   ( V5 F2 g' n4 v0 E
   s_guide->num=1;             //引导线为1个% V& N, d6 _0 U- ~7 l# h
   s_guide->string[0]=1;       //每一个只有一个items
* c" U5 j: B( F+ @4 n! z   s_guide->dir[0]=1;          //UF_MODL_CURVE_START_FROM_BEGIN   引导线的方向5 X- e; X8 u" v
   s_guide->id[0]=edge_blk[0]; //引导线地址
, d+ R/ B0 K6 G: h# h. V& W//   s_guide->id[1]=edge_blk[0];
* g) P( g- A( S+ u   
" J7 H! e- n* g5 z   s_section->num=1;                  //截面线串为1根
& f! h# r; |; h   s_section->string[0]=1;            //
$ c7 j3 @! T, _  l. i6 G. Z   s_section->dir[0]=1;
1 @+ W7 b# n# z1 d  }/ n8 H- Q0 y   s_section->id[0]=line;//          //截线地址6 k6 J( B1 {$ j2 |
   
+ Q: v$ ?, K4 n//   s_spine->num=0;$ a, o& {( P# B3 W9 g, _
   - x: n- g1 O2 z5 ^
   //方向
$ c1 }* Q' M& E9 v* Z2 m   orientation.method=3;
) ~/ p' X3 P  m/ h+ x' i   orientation.inter=inter;
8 U+ ?0 w! t: x: Z   orientation.id=NULL_TAG;7 }9 S7 k. U) G' C( q1 o5 N
   orientation.value[0]=0;# R  D1 ~( k% h0 @- b1 Z
   orientation.value[1]=0;
: R9 p/ w6 Z  T" [: }( h3 J- `, g   orientation.value[2]=0;
( B4 m2 ?" L$ c: C1 x9 P! Q+ M* B) d   orientation.s_curve->num=1;* ^! z5 K' f2 T- U8 ?* O% N
   orientation.s_curve->string[0]=1;
3 s6 I! V3 n9 g: {3 W   orientation.s_curve->dir[0]=1;
# n3 A3 v" Q8 l" U   orientation.s_curve->id[0]=edge_blk[0];5 c/ R) L, D# c- S9 Y; M* t
   # N1 _5 t% [' W# t
   //缩放比例& W$ v- m6 v6 R: P/ ^
   scaling.method=1;: ?9 N% ^% F4 @" }' U
   scaling.id=NULL_TAG;( F8 @9 h4 _* X
   scaling.inter=inter;5 f, L+ M; G) U4 ~$ U. F' ~
   scaling.value[0]=0.5;! g3 d/ g8 t: N$ H8 I1 n1 ^; K
   scaling.s_curve=NULL;
: r/ Q7 ?% d0 D7 S& ^   
" I! @5 d7 \4 y9 U! g7 {   UF_MODL_create_sweep(s_guide,s_section,s_spine,&orientation,) \4 D$ t, g% \
    &scaling,&alignment,&inter,&body_type,boolean,tol,&body_obj_id);
发表于 2013-4-30 16:16 | 显示全部楼层
呵呵呵呵,有偿帮忙解决,呵呵,我经常用,my qq:593939109
回复 支持 反对

使用道具 举报

发表于 2013-12-24 15:22 | 显示全部楼层
楼主解决了吗,我也遇到相同问题
回复 支持 反对

使用道具 举报

发表于 2018-1-20 11:11 | 显示全部楼层
楼主解决了吗?
回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 注册

本版积分规则

QQ|关于我们|sitemap|小黑屋|Archiver|手机版|UG网-UG技术论坛-青华数控模具培训学校 ( 粤ICP备15108561号 )

GMT+8, 2025-2-2 06:50 , Processed in 0.049106 second(s), 20 queries .

Powered by Discuz! X3.5 Licensed

© 2001-2024 Discuz! Team.

快速回复 返回顶部 返回列表